# Generated by Django 2.2 on 2020-04-10 11:54

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='created_time')),
                ('modified_time', models.DateTimeField(auto_now=True, verbose_name='updated_time')),
                ('title', models.CharField(max_length=25, verbose_name='category')),
            ],
            options={
                'verbose_name': 'category',
                'verbose_name_plural': 'categories',
                'db_table': 'category',
            },
        ),
        migrations.CreateModel(
            name='Restaurant',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='created_time')),
                ('modified_time', models.DateTimeField(auto_now=True, verbose_name='updated_time')),
                ('name', models.CharField(max_length=250, verbose_name='name')),
                ('slug', models.SlugField(unique=True)),
                ('orders_type', models.CharField(max_length=250, verbose_name='orders_type')),
                ('working_times', models.TextField(verbose_name='working_times')),
                ('service_scope', models.TextField(verbose_name='service_scope')),
                ('minimum_order', models.PositiveIntegerField(default=0, verbose_name='minimum_order')),
                ('rate', models.FloatField(null=True, verbose_name='rate')),
                ('time_to_delivery', models.IntegerField(choices=[(1, 'ten_twenty'), (2, 'twenty_thirty'), (3, 'thirty_forty'), (4, 'forty_fifty'), (5, 'fifty_sixty')], verbose_name='time_to_delivery')),
                ('image', models.ImageField(upload_to='images/restaurant', verbose_name='image')),
                ('service_type', models.IntegerField(choices=[(1, 'Restaurant'), (2, 'Coffee shop'), (3, 'Confectionery'), (4, 'Super market')], verbose_name='service type')),
                ('scope', models.CharField(max_length=250, verbose_name='scope')),
                ('location', models.CharField(max_length=250, verbose_name='location')),
                ('tag', models.CharField(max_length=250, verbose_name='tag')),
            ],
            options={
                'verbose_name': 'restaurant',
                'verbose_name_plural': 'restaurants',
                'db_table': 'restaurant',
            },
        ),
        migrations.CreateModel(
            name='RestaurantCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='created_time')),
                ('modified_time', models.DateTimeField(auto_now=True, verbose_name='updated_time')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='restaurant_categories', to='restaurant.Category')),
                ('restaurant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='restaurant_categories', to='restaurant.Restaurant')),
            ],
            options={
                'db_table': 'restaurant_category',
            },
        ),
        migrations.AddField(
            model_name='restaurant',
            name='categories',
            field=models.ManyToManyField(related_name='restaurants', through='restaurant.RestaurantCategory', to='restaurant.Category'),
        ),
        migrations.CreateModel(
            name='Food',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_time', models.DateTimeField(auto_now_add=True, verbose_name='created_time')),
                ('modified_time', models.DateTimeField(auto_now=True, verbose_name='updated_time')),
                ('title', models.CharField(max_length=250, verbose_name='title')),
                ('price', models.PositiveIntegerField()),
                ('description', models.TextField(verbose_name='description')),
                ('active', models.BooleanField(default=True, verbose_name='active')),
                ('image', models.ImageField(upload_to='images/food/', verbose_name='image')),
                ('category', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='foods', to='restaurant.Category', verbose_name='category')),
                ('restaurant', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='foods', to='restaurant.Restaurant', verbose_name='restaurant')),
            ],
            options={
                'verbose_name': 'food',
                'verbose_name_plural': 'foods',
                'db_table': 'food',
            },
        ),
    ]
